#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main()
{
    char c1 , c2 , minc , maxc;
    int a1 , a2 , min , max , i;
    scanf("%c%c" , &c1 , &c2);
    scanf("%d %d" , &a1 , &a2);
    if(a1<a2){
        min = a1 ;
        minc = c1 ;
        max = a2 ;
        maxc = c2 ;
    }
    else{
        min = a2 ;
        minc = c2 ;
        max = a1 ;
        maxc = c1 ;
    }

    if(max - min > 1){
        printf("nemoguce") ;
    }
    else{
        printf("%c" , maxc) ;
        for(i=1;i<=max-1;i++){
            printf("%c" , minc) ;
            printf("%c" , maxc) ;
        }
        if(max == min)
            printf("%c" , minc) ;
    }

}